# Edit Custom License Only users with Library Manager permission can edit a custom license. Endpoint: PUT /licenses/{licenseId} Version: v1 Security: bearerAuth ## Path parameters: - `licenseId` (integer, required) ID of License Example: 1 ## Request fields (application/json): - `name` (string) name Example: "General Public License" - `shortName` (string) shortName Example: "GPL" - `licenseText` (string) licenseText Example: "License Text" - `priority` (string) priority Enum: "P1", "P2", "P3" - `url` (string) url Example: "https://abc.xyz" - `description` (string) description Example: "License description" - `familyName` (string) familyName Example: "License family" - `externalId` (string) externalId Example: "External License Id Eg: 156" ## Response 200 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields